#include "philo.h"

int	main(int ac, char **av)
{
	pthread_t	*id;
	t_philo		*philo;
	int	i;

	philo = init(ac, av, &id);
	if (philo == NULL)
    	return (0);
	launch_threads(philo, id);
	i = 0;
	while (i < philo->params->n_phi)
	{
		pthread_join(id[i], NULL);
		i++;
	}
    return (0);
}
